Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.lesson3
Class DistTutorial

    java.lang.Object
      rice.tutorial.lesson3.DistTutorial

public class DistTutorial
extends java.lang.Object

This tutorial shows how to setup a FreePastry node using the Socket Protocol.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  Jeff Hoye

Constructor Summary
`DistTutorial(int bindport, java.net.InetSocketAddress bootaddress, Environment env)` This constructor sets up a PastryNode.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry-.jar] rice.tutorial.lesson3.DistTutorial localbindport bootIP bootPort example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistTutorial

    public DistTutorial(int bindport,
                        java.net.InetSocketAddress bootaddress,
                        Environment env)
                 throws java.lang.Exception

  This constructor sets up a PastryNode. It will bootstrap to an existing ring if it can find one at the specified location, otherwise it will start a new ring.

Parameters:
  `bindport` - the local port to bind to
  `bootaddress` - the IP:port of the node to boot from
  `env` - DESCRIBE THE PARAMETER
Throws:
  `java.lang.Exception` - DESCRIBE THE EXCEPTION

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry-.jar] rice.tutorial.lesson3.DistTutorial localbindport bootIP bootPort example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.